      subroutine lfitbasisfuncs(x,afunc,ma)
      implicit none
      integer ma
      double precision x,afunc(ma)
      afunc(1)=1.0d0
      afunc(2)=x
      if(ma.gt.2)then
        afunc(3)=x*x/1000.0d0
      endif
      return
      end

